Home | Download | Screen shots | Discussion | Documentation
--- | --- | --- | --- | ---

Main Page | Modules | Namespace List | Class Hierarchy | Class List | Namespace Members | Class Members | Related Pages

# openvrml::vrml97_node::navigation_info_node Class Reference

Inheritance diagram for openvrml::vrml97_node::navigation_info_node:

[legend]
List of all members.

## Detailed Description

NavigationInfo node instances.

## Public Member Functions

| navigation_info_node (const node_type &type, const boost::shared_ptr< openvrml::scope > &scope)
| Construct.
virtual | ~navigation_info_node () throw ()
| Destroy.
virtual navigation_info_node * | to_navigation_info () const
| Cast to a navigation_info_node.
const float * | avatar_size () const
| The avatar size.
bool | headlight () const
| The headlight state.
float | speed () const
| The speed.
float | visibility_limit () const
| The visibility limit.

## Private Member Functions

virtual void | do_initialize (double timestamp) throw (std::bad_alloc)
| Initialize.
virtual void | do_shutdown (double timestamp) throw ()
| Shut down.

## Private Attributes

set_bind_listener | set_bind_listener_
| set_bind eventIn handler.
exposedfield< mffloat > | avatar_size_
| avatarSize exposedField.
exposedfield< sfbool > | headlight_
| headlight exposedField.
exposedfield< sffloat > | speed_
| speed exposedField.
exposedfield< mfstring > | type_
| type exposedField.
exposedfield< sffloat > | visibility_limit_
| visibilityLimit exposedField.
sfbool | is_bound_
| isBound eventOut value.
sfbool_emitter | is_bound_emitter_
| isBound eventOut emitter.

## Friends

class | navigation_info_class
| Class object for NavigationInfo nodes.

## Classes

class | set_bind_listener
| set_bind eventIn handler. More...

## Constructor & Destructor Documentation

openvrml::vrml97_node::navigation_info_node::navigation_info_node | ( | const node_type & | type,
|  | const boost::shared_ptr< openvrml::scope > & | scope
| ) |

Construct.

Parameters:

  | type | the node_type associated with the node instance.
  | scope | the scope to which the node belongs.

openvrml::vrml97_node::navigation_info_node::~navigation_info_node | ( |  | ) | throw ()`[virtual]`

| Destroy.

## Member Function Documentation

navigation_info_node * openvrml::vrml97_node::navigation_info_node::to_navigation_info | ( |  | ) | const`[virtual]`

Cast to a navigation_info_node.

Returns:
  A pointer to the navigation_info_node.

Reimplemented from openvrml::node.

const float * openvrml::vrml97_node::navigation_info_node::avatar_size | ( |  | ) | const

The avatar size.

Returns:
  the avatar size.

bool openvrml::vrml97_node::navigation_info_node::headlight | ( |  | ) | const

The headlight state.

Returns:
  `true` if the headlight is on; `false` otherwise.

float openvrml::vrml97_node::navigation_info_node::speed | ( |  | ) | const

The speed.

Returns:
  the speed.

float openvrml::vrml97_node::navigation_info_node::visibility_limit | ( |  | ) | const

The visibility limit.

Returns:
  the visibility limit.

void openvrml::vrml97_node::navigation_info_node::do_initialize | ( | double | timestamp | ) | throw (std::bad_alloc)`[private, virtual]`

Initialize.

Parameters:

  | timestamp | the current time.

Exceptions:

  | std::bad_alloc | if memory allocation fails.

Reimplemented from openvrml::node.

void openvrml::vrml97_node::navigation_info_node::do_shutdown | ( | double | timestamp | ) | throw ()`[private, virtual]`

Shut down.

Parameters:

  | timestamp | the current time.

Reimplemented from openvrml::node.

## Friends And Related Function Documentation

class openvrml::vrml97_node::navigation_info_node::navigation_info_class`[friend]`

| Class object for NavigationInfo nodes.

## Member Data Documentation

navigation_info_node::set_bind_listener openvrml::vrml97_node::navigation_info_node::set_bind_listener_ `[private]`

| set_bind eventIn handler.

exposedfield< mffloat > openvrml::vrml97_node::navigation_info_node::avatar_size_ `[private]`

| avatarSize exposedField.

exposedfield< sfbool > openvrml::vrml97_node::navigation_info_node::headlight_ `[private]`

| headlight exposedField.

exposedfield< sffloat > openvrml::vrml97_node::navigation_info_node::speed_ `[private]`

| speed exposedField.

exposedfield< mfstring > openvrml::vrml97_node::navigation_info_node::type_ `[private]`

| type exposedField. Reimplemented from openvrml::node.

exposedfield< sffloat > openvrml::vrml97_node::navigation_info_node::visibility_limit_ `[private]`

| visibilityLimit exposedField.

sfbool openvrml::vrml97_node::navigation_info_node::is_bound_ `[private]`

| isBound eventOut value.

sfbool_emitter openvrml::vrml97_node::navigation_info_node::is_bound_emitter_ `[private]`

| isBound eventOut emitter.